Skip to content

Update employee

Request

Security
OAuth2Sandbox
Path
idstringrequired
Bodyapplication/jsonrequired
person_numberstring, <= 20 characters

User modifiable employee identifier in Fennoa.

Example:"P1005"
first_namestring, <= 100 characters
Example:"Veera"
last_namestring, <= 100 characters
Example:"Virtanen"
date_of_birthstring, (date)
Example:"1980-01-01"
identity_numberstring, <= 15 characters
Example:"010101-900P"
tax_numberinteger, = 12 characters
Example:100012345678
emailstring, (email), <= 100 characters
Example:"vvirtanen@example.com"
phonestring, [ 3 .. 20 ] characters
Example:"+35844123456"
addressobject(Address)
hire_datestring, (date)
Example:"2026-01-01"
employment_group_idinteger
Example:3
payroll_delivery_methodstring
Enum:"no_delivery""email""esalary"
Example:"esalary"
ibanstring
Example:"FI2112345600000785"
bicstring
Example:"NDEAFIHH"
localestring

ISO 639-1 language code

Enum:"fi""sv""en"
Example:"fi"
international_situationsobject
curl -i -X PATCH \
  'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "person_number": "P1005",
    "first_name": "Veera",
    "last_name": "Virtanen",
    "date_of_birth": "1980-01-01",
    "identity_number": "010101-900P",
    "tax_number": 100012345678,
    "email": "vvirtanen@example.com",
    "phone": "+35844123456",
    "address": {
      "street": "Esimerkkikatu 1",
      "postal_code": "00100",
      "city": "Helsinki",
      "country": "FI"
    },
    "hire_date": "2026-01-01",
    "employment_group_id": 3,
    "payroll_delivery_method": "esalary",
    "iban": "FI2112345600000785",
    "bic": "NDEAFIHH",
    "locale": "fi",
    "international_situations": {
      "foreign_person_id": "M1234567A",
      "tin": "000-00-0000",
      "gender": "female",
      "insured_in_finland": true,
      "a1_certificate_id": 2,
      "has_non_resident_tax_liability": true,
      "work_address": {
        "street": "Esimerkkikatu 1",
        "postal_code": "00100",
        "city": "Helsinki",
        "country": "FI"
      }
    }
  }'

Responses

Get employee.

Bodyapplication/json
dataobject(PayrollEmployee)
Response
{ "data": { "id": 123, "person_number": "P1005", "first_name": "Veera", "last_name": "Virtanen", "date_of_birth": "1980-01-01", "identity_number": "010101-900P", "tax_number": 100012345678, "email": "vvirtanen@example.com", "phone": "+35844123456", "address": { … }, "hire_date": "2026-01-01", "employment_group_id": 3, "payroll_delivery_method": "esalary", "iban": "FI2112345600000785", "bic": "NDEAFIHH", "locale": "fi", "international_situations": { … } } }